Package io.vertx.ext.bridge

## Enum BridgeEventType

- java.lang.Object
- - java.lang.Enum<BridgeEventType>
  - - io.vertx.ext.bridge.BridgeEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<BridgeEventType>`

      public enum BridgeEventType
      extends Enum<BridgeEventType>

  Bridge Event Types.
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PUBLISH` | This event will occur when a message is attempted to be published from the client to the server.
    `RECEIVE` | This event will occur when a message is attempted to be delivered from the server to the client.
    `REGISTER` | This event will occur when a client attempts to register a handler.
    `REGISTERED` | This event will occur when a client successfully registered.
    `SEND` | This event will occur when a message is attempted to be sent from the client to the server.
    `SOCKET_CLOSED` | This event will occur when a SockJS socket is closed.
    `SOCKET_CREATED` | This event will occur when a new SockJS socket is created.
    `SOCKET_ERROR` | This event will occur when an underlying transport errors.
    `SOCKET_IDLE` | This event will occur when SockJS socket is on idle for longer period of time than configured.
    `SOCKET_PING` | This event will occur when the last ping timestamp is updated for the SockJS socket.
    `UNREGISTER` | This event will occur when a client attempts to unregister a handler.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BridgeEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BridgeEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOCKET_CREATED

          public static final BridgeEventType SOCKET_CREATED

      This event will occur when a new SockJS socket is created.

    - #### SOCKET_CLOSED

          public static final BridgeEventType SOCKET_CLOSED

      This event will occur when a SockJS socket is closed.

    - #### SOCKET_IDLE

          public static final BridgeEventType SOCKET_IDLE

      This event will occur when SockJS socket is on idle for longer period of time than configured.

    - #### SOCKET_PING

          public static final BridgeEventType SOCKET_PING

      This event will occur when the last ping timestamp is updated for the SockJS socket.

    - #### SOCKET_ERROR

          public static final BridgeEventType SOCKET_ERROR

      This event will occur when an underlying transport errors.

    - #### SEND

          public static final BridgeEventType SEND

      This event will occur when a message is attempted to be sent from the client to the server.

    - #### PUBLISH

          public static final BridgeEventType PUBLISH

      This event will occur when a message is attempted to be published from the client to the server.

    - #### RECEIVE

          public static final BridgeEventType RECEIVE

      This event will occur when a message is attempted to be delivered from the server to the client.

    - #### REGISTER

          public static final BridgeEventType REGISTER

      This event will occur when a client attempts to register a handler.

    - #### REGISTERED

          public static final BridgeEventType REGISTERED

      This event will occur when a client successfully registered. The raw message used for registration, notified with `REGISTER` event

    - #### UNREGISTER

          public static final BridgeEventType UNREGISTER

      This event will occur when a client attempts to unregister a handler.

  - ### Method Detail

    - #### values

          public static BridgeEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BridgeEventType c : BridgeEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BridgeEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null